JGraph X 1.3.0.0

## com.mxgraph.layout.hierarchical.stage
Class mxMedianHybridCrossingReduction.MedianCellSorter

    java.lang.Object
      com.mxgraph.layout.hierarchical.stage.mxMedianHybridCrossingReduction.MedianCellSorter

All Implemented Interfaces:
  java.lang.Comparable<java.lang.Object>

Enclosing class:
  mxMedianHybridCrossingReduction

    protected class mxMedianHybridCrossingReduction.MedianCellSorter

extends java.lang.Object
implements java.lang.Comparable<java.lang.Object>

A utility class used to track cells whilst sorting occurs on the median values. Does not violate (x.compareTo(y)==0) == (x.equals(y))

Field Summary
`double` `medianValue` The median value of the cell stored
`boolean` `nudge` Whether or not to flip equal median values.

Constructor Summary
`protected` `mxMedianHybridCrossingReduction.MedianCellSorter()`

Method Summary
`int` `compareTo(java.lang.Object arg0)` comparator on the medianValue

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### medianValue

    public double medianValue

  The median value of the cell stored

### nudge

    public boolean nudge

  Whether or not to flip equal median values.

Constructor Detail

### mxMedianHybridCrossingReduction.MedianCellSorter

    protected mxMedianHybridCrossingReduction.MedianCellSorter()

Method Detail

### compareTo

    public int compareTo(java.lang.Object arg0)

  comparator on the medianValue

  Specified by:
    `compareTo` in interface `java.lang.Comparable<java.lang.Object>`
  Parameters:
    `arg0` - the object to be compared to
  Returns:
    the standard return you would expect when comparing two double

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.